Qt Reference Documentation

# Obsolete Members for Q3TabDialog

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- Q3TabDialog class reference

## Public Functions

bool | isTabEnabled ( const char * name ) const`(obsolete)`
void | setTabEnabled ( const char * name, bool enable )`(obsolete)`

- 4 public functions inherited from QDialog
- 3 public functions inherited from QWidget

## Member Function Documentation

### bool Q3TabDialog::isTabEnabled ( const char * name ) const

Returns true if the page with object name name is enabled and false if it is disabled.

If name is 0 or not the name of any of the pages, isTabEnabled() returns false.

See also setTabEnabled() and QWidget::isEnabled().

### void Q3TabDialog::setTabEnabled ( const char * name, bool enable )

Finds the page with object name name, enables/disables it according to the value of enable and redraws the page's tab appropriately.

Q3TabDialog uses QWidget::setEnabled() internally, rather than keeping a separate flag.

Note that even a disabled tab/page may be visible. If the page is already visible Q3TabDialog will not hide it; if all the pages are disabled Q3TabDialog will show one of them.

The object name is used (rather than the tab label) because the tab text may not be invariant in multi-language applications.

See also isTabEnabled() and QWidget::setEnabled().